## SurfaceFitterPolynomial

Fitting a polynomial to a heightmap

### Description

This Sample shows how to use the surface fitter to fit a polynomial to a
curved surface in a heightmap, and then subtract this to find pixels deviating
from the model.

### How to Run

Starting this sample is possible either by running the App (F5) or
debugging (F7+F10). Setting breakpoint on the first row inside the 'main'
function allows debugging step-by-step after 'Engine.OnStarted' event.
Results can be seen in the 3D viewer and 2D viewer on the DevicePage.
Select Reflectance in the View: box at the top of the GUI and zoom in on the
data for best experience.
Restarting the Sample may be necessary to show the heightmap after loading the web-page.
To run this Sample a device with SICK Algorithm API and AppEngine >= V2.5.0 is
required. For example SIM4000 with latest firmware. Alternatively the Emulator
on AppStudio 2.3 or higher can be used.

### Topics

algorithm, image-3d, fitting, measurement, sample, sick-appspace